/*
 * RSSHELL
 *   shellability checker using reverse search.
 *
 * by Masahiro Hachimori, Aug 2002
 */

#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include "s_complex.h"

main(argc, argv)
  int argc;
  char *argv[];
{
  Simplices *faces, *facets, *tmp;
  int i, k;
  int f_vec[MAXDIM+1], h_vec[MAXDIM+1];

  if (argc <= 1 || strcmp(argv[1], "-h") == 0
                || strcmp(argv[1], "--help") == 0){
    printf("Usage:");
    printf("rsshell <file> \n");
    exit(0);}

  tmp = input_faces(argv[1]);
  sort_faces(tmp);
  faces = facets2faces(tmp);
  delete_faces(tmp);
  
  facets = faces2facets(faces);
  delete_faces(faces);
  if (rs_shellable(facets) == 1)
    printf("shellable\n");
  else
    printf("not shellable \n");
  delete_faces(facets);

  return(0);

}

